Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ee
Class WASManagedRuntime.WASTransaction

    java.lang.Object
      org.apache.openjpa.ee.WASManagedRuntime.WASTransaction

All Implemented Interfaces:
  Transaction, TransactionManager

Enclosing class:
  WASManagedRuntime

     class WASManagedRuntime.WASTransaction

extends Object
implements TransactionManager, Transaction

Transaction wrapper for WebSphere. WebSphere exposes a subset of the Transaction and TransactionManager interfaces to the customer. Any methods which are not exposed by WebSphere will throw an IllegalStateException to the caller.

Methods supported by WAS are

- RegisterSynchronization
- GetStatus

Constructor Summary
`WASManagedRuntime.WASTransaction()`

Method Summary
`void` | `begin()` Unimplemented, WAS does not provide this level of control.
`void` | `commit()` Unimplemented, WAS does not provide this level of control.
`boolean` | `delistResource(XAResource arg0, int arg1)` Unimplemented, WAS does not provide this level of control.
`boolean` | `enlistResource(XAResource arg0)` Unimplemented, WAS does not provide this level of control.
`int` | `getStatus()`
`Transaction` | `getTransaction()` Provides a Transaction wrapper.
`void` | `registerSynchronization(Synchronization arg0)` Register for synchronization with a WebSphere managed transaction via the extendedJTATransaction interface.
`void` | `resume(Transaction arg0)` Unimplemented, WAS does not provide this level of control.
`void` | `rollback()` Unimplemented, WAS does not provide this level of control.
`void` | `setRollbackOnly()` Unimplemented, WAS does not provide this level of control.
`void` | `setTransactionTimeout(int arg0)` Unimplemented, WAS does not provide this level of control.
`Transaction` | `suspend()` Unimplemented, WAS does not provide this level of control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WASManagedRuntime.WASTransaction

    WASManagedRuntime.WASTransaction()

Method Detail

### getStatus

    public int getStatus()
                  throws SystemException

  Specified by:
    `getStatus` in interface `Transaction`
  Specified by:
    `getStatus` in interface `TransactionManager`
  Throws:
    `SystemException`

### getTransaction

    public Transaction getTransaction()
                               throws SystemException

  Provides a Transaction wrapper. The transaction wrapper mayb only be used to determine the status of the current transaction. WebSphere does not allow direct control of container transactions.

  Specified by:
    `getTransaction` in interface `TransactionManager`
  Returns:
    A WebSphere transaction wrapper.
  Throws:
    `SystemException`

### registerSynchronization

    public void registerSynchronization(Synchronization arg0)
                                 throws IllegalStateException,
                                        RollbackException,
                                        SystemException

  Register for synchronization with a WebSphere managed transaction via the extendedJTATransaction interface.

  Specified by:
    `registerSynchronization` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `RollbackException`
    `SystemException`

### begin

    public void begin()
               throws NotSupportedException,
                      SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `begin` in interface `TransactionManager`
  Throws:
    `NotSupportedException`
    `SystemException`

### commit

    public void commit()
                throws HeuristicMixedException,
                       HeuristicRollbackException,
                       IllegalStateException,
                       RollbackException,
                       SecurityException,
                       SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `commit` in interface `Transaction`
  Specified by:
    `commit` in interface `TransactionManager`
  Throws:
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `IllegalStateException`
    `RollbackException`
    `SecurityException`
    `SystemException`

### resume

    public void resume(Transaction arg0)
                throws IllegalStateException,
                       InvalidTransactionException,
                       SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `resume` in interface `TransactionManager`
  Throws:
    `IllegalStateException`
    `InvalidTransactionException`
    `SystemException`

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SecurityException,
                         SystemException

  Unimplemented, WAS does not provide this level of control. Log a trace instead of throwing an exception. Rollback may be used in some error paths, throwing another exception may result in the original exception being lost.

  Specified by:
    `rollback` in interface `Transaction`
  Specified by:
    `rollback` in interface `TransactionManager`
  Throws:
    `IllegalStateException`
    `SecurityException`
    `SystemException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Unimplemented, WAS does not provide this level of control. Log a trace instead of throwing an exception. SetRollbackOnly may be used in some error paths, throwing another exception may result in the original exception being lost.

  Specified by:
    `setRollbackOnly` in interface `Transaction`
  Specified by:
    `setRollbackOnly` in interface `TransactionManager`
  Throws:
    `IllegalStateException`
    `SystemException`

### setTransactionTimeout

    public void setTransactionTimeout(int arg0)
                               throws SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `setTransactionTimeout` in interface `TransactionManager`
  Throws:
    `SystemException`

### suspend

    public Transaction suspend()
                        throws SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `suspend` in interface `TransactionManager`
  Throws:
    `SystemException`

### delistResource

    public boolean delistResource(XAResource arg0,
                                  int arg1)
                           throws IllegalStateException,
                                  SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `delistResource` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

### enlistResource

    public boolean enlistResource(XAResource arg0)
                           throws IllegalStateException,
                                  RollbackException,
                                  SystemException

  Unimplemented, WAS does not provide this level of control. Throws an IllegalStateException

  Specified by:
    `enlistResource` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `RollbackException`
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.